Retrieve current valuation
curl --request GET \
--url https://api.engine.usesophic.com/accounts/{account_id}/valuation \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.engine.usesophic.com/accounts/{account_id}/valuation"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.engine.usesophic.com/accounts/{account_id}/valuation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account": "<string>",
"asof": "2026-07-14T09:34:12Z",
"cash_valuations": [
{
"asof": "2026-07-14T09:34:12Z",
"cash_balance": {
"available_for_trading": "10000.00",
"available_for_withdrawal": "9750.00",
"currency": "EUR",
"reserved": "250.00",
"total": "12500.00"
},
"currency": "EUR",
"value": "25000.00"
}
],
"currency": "EUR",
"position_valuations": [
{
"asof": "2026-07-14T09:34:12Z",
"currency": "EUR",
"position": {
"account": "<string>",
"automatic_rollover": true,
"available_for_trading": "1000.00",
"average_price": "98.75",
"can_update_automatic_rollover": true,
"closed_at": "2025-07-15T10:30:00Z",
"created_at": "2025-01-15T10:30:00Z",
"id": "<string>",
"instrument": {
"days_to_maturity": 182,
"decimal_precision": 2,
"enforce_trading_rules": true,
"id": "<string>",
"initial_auction_date": "2024-12-30",
"initial_issue_date": "2025-01-02",
"instrument_type": "bill",
"isin": "US5949181045",
"issuer": "United States Department of the Treasury",
"issuer_country": "US",
"issuer_credit_rating": "AA+",
"latest_auction_date": "2025-01-27",
"latest_issue_date": "2025-01-30",
"maturity_date": "2025-07-03",
"minimum_initial_cash_investment": "1000.00",
"minimum_trading_quantity": "1.00",
"name": "Apple Inc.",
"price_type": "percent",
"pro_traders_only": true,
"required_cash_increment": 100,
"rollout_stage": "ga",
"supports_automatic_rollover": true,
"symbol": "US5949181045",
"trading_currency": "USD",
"trading_increment": "0.01",
"trading_status": "buy_sell",
"about": "Common stock listed on the Nasdaq Global Select Market.",
"exchange": "XNAS",
"icon_url": "https://storage.googleapis.com/sophic-assets/instrument-icons/in_x7GqT.png",
"ticker": "AAPL"
},
"modified_at": "2025-07-01T14:32:18Z",
"most_recent_maturity_period": "3m",
"opened_at": "2025-01-15T10:30:00Z",
"reserved": "50.00",
"settled": "1000.00",
"status": "open",
"total": "1250.00",
"total_buy_trades": 3,
"unsettled": "250.00",
"ytm": "4.25",
"automatic_rollover_cutoff": "2025-09-25"
},
"price": "99.25",
"value": "99250.00"
}
],
"total_cash_value": "25000.00",
"total_position_value": "99250.00",
"total_value": "124250.00"
}{
"code": "<string>",
"detail": "<string>",
"context": {},
"docs": "<string>",
"params": [
{
"code": "<string>",
"detail": "<string>",
"path": [
123
]
}
]
}Valuation
Retrieve current valuation
Retrieve an account’s current valuation.
GET
/
accounts
/
{account_id}
/
valuation
Retrieve current valuation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the account to retrieve the valuation for.
Response
OK
The ID of the account.
The time of the account valuation.
Example:
"2026-07-14T09:34:12Z"
The valuations of the account cash balances.
Show child attributes
Show child attributes
The currency of the aggregate values.
Available options:
EUR, USD, GBP The valuations of the account positions.
Show child attributes
Show child attributes
The total value of the account cash balances.
Example:
"25000.00"
The total value of the account positions.
Example:
"99250.00"
The total account value.
Example:
"124250.00"